## Apache Zeta Components Manual :: Docs For Class ezcArchiveChecksumException

### Archive::ezcArchiveChecksumException

### Class ezcArchiveChecksumException

Exception will be thrown when the checksum of the file is invalid.

Source for this file: /Archive/src/exceptions/checksum.php

    Exception
       |
       --ezcBaseException
          |
          --ezcArchiveException
             |
             --ezcArchiveChecksumException

Version: | //autogentag//

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`
From Exception (Internal Class)
protected | `$code`
protected | `$file`
protected | `$line`
protected | `$message`
private | `$previous`
private | `$string`
private | `$trace`

### Method Summary

public ezcArchiveChecksumException | `__construct( $file )` Constructs a new checksum exception for the specified file.

### Inherited Methods

From ezcArchiveException
public ezcArchiveException | `ezcArchiveException::__construct()` Construct a new archive exception.
From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message
From Exception (Internal Class)
public Exception | `constructor __construct ( [$message = ], [$code = ], [$previous = ] )`
public void | `getCode ( )`
public void | `getFile ( )`
public void | `getLine ( )`
public void | `getMessage ( )`
public void | `getPrevious ( )`
public void | `getTrace ( )`
public void | `getTraceAsString ( )`
public void | `__clone ( )`
public void | `__toString ( )`

### Methods

#### __construct

ezcArchiveChecksumException __construct( string $file )

Constructs a new checksum exception for the specified file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$file` | string |

##### Redefinition of:

Method | Description
--- | ---
`ezcArchiveException::__construct()` | Construct a new archive exception.

Documentation generated by phpDocumentor 1.4.3